Skip to main content

Get phone numbers

GET 

/phone

Provides business ID, job name, and registration status for phone numbers. Request supports either a list of phone numbers to be checked, or a single job name to check all phone numbers with that job name. It is not supported to provide both a list of phone numbers and a job name in the same request.

This API will paginate the response. The first page is page 0. The response will indicate how many pages of responses are available to be requested. The service provides 100 phone numbers per page.

Query Parameters


    page integer<int32>

    Which page of results should be provided. When calling this API for the first time for a set of numbers, request page 0. Defaults to 0.


    phones string[]

    Individual phone numbers to be checked. Phone numbers must be provided using E.164 formatting and must be URL-encoded, provided as a list separated by ampersands (&). For example, "?phones=%2b12065550123&phones=%2b12065559876"


    jobName string

    Optionally a single job name to request all phone numbers with that job name. NOTE: When searching by job name, it is not supported to also provide individual phone numbers.

Responses

OK

Response Body

application/json